#include "EmptyNote.h"

#include <QFont>
#include <QPalette>

EmptyNote::EmptyNote(const QString& text, QWidget* parent)
    : QLabel(text, parent)
{
    setWordWrap(true);

    QFont noteFont = font();
    noteFont.setItalic(true);
    setFont(noteFont);

    QPalette notePalette = palette();
    notePalette.setColor(QPalette::WindowText,
                         palette().color(QPalette::Disabled, QPalette::WindowText));
    setPalette(notePalette);
}
